<?php
include ("../conexion.php");
 date_default_timezone_set('America/Costa_Rica');
	
   session_start();
	if($_SESSION['tipo_usu']=='' ){

		header('location:../index.php');
		
		}else if($_SESSION['tipo_usu']=='a'  or $_SESSION['tipo_usu']=='c' or $_SESSION['tipo_usu']=='s'  or $_SESSION['tipo_usu']=='v'  or $_SESSION['tipo_usu']=='t'  ){

        $usu=($_SESSION['username']);
		
			
		 }else{


			header('location:acceso_denegado.php');

		}
		
		
		$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
		$resultado = $mysqli->query($consulta);
		$row = $resultado->fetch_array();
		$nomb = $row["usu"];
		$codusu= $row["codusu"];


		$hoy=date("d/m/Y");
        $hora=date("H:i:s");


if (!isset($cadena_busqueda)) { $cadena_busqueda=""; } else { $cadena_busqueda=str_replace("",",",$cadena_busqueda); }



if ($cadena_busqueda<>"") {

	$array_cadena_busqueda=split("~",$cadena_busqueda);

	$codusu=$array_cadena_busqueda[1];

	//$codrut=$array_cadena_busqueda[2];

	$f_date1=$array_cadena_busqueda[3];

	//$hortiq=$array_cadena_busqueda[4];

} else {

	$codusu="";

	//$codrut="";

	$f_date1="";

	//$hortiq="";

}



?>


<html>

	<head>

		<title>cierres</title>

	    <script src="../src/js/jscal2.js"></script>
        <script src="../src/js/lang/en.js"></script>
	<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
     <script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
	<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
    <link rel="stylesheet" type="text/css" href="../src/css/jscal2.css" />
    <link rel="stylesheet" type="text/css" href="../src/css/border-radius.css" />
    <link rel="stylesheet" type="text/css" href="../src/css/steel/steel.css" />
		<script language="javascript">

var cursor;

		if (document.all) {

		// Está utilizando EXPLORER

		cursor='hand';

		} else {

		// Está utilizando MOZILLA/NETSCAPE

		cursor='pointer';

		}

		
		//nombre del primer campo en la secuencia
		siguienteCampo = ""
		//nombre del formlario
		nombreForm = "formulario"
		
		//funcion que gestiona el evento
		function TelcaPulsada( e ) {
		
		   if ( window.event != null)				//IE4+
			  tecla = window.event.keyCode;
		   else if ( e != null ) 				//N4+ o W3C compatibles
			  tecla = e.which;
		   else
			  return;
			
		   if (tecla == 13) { 					//se pulso enter
			  if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
				 alert('Envio del formulario.')			//eliminar este alert para uso normal
				 return false					//sustituir por return true para hacer el submit
			  } else { 						//da el foco al siguiente campo
				 eval('document.' + nombreForm + '.' + siguienteCampo + '.focus()')
				 return false
			  }
		   }
		}
		
		document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
		if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
			document.captureEvents(Event.KEYDOWN)
			

		

		function inicio() {

			document.getElementById("formulario").submit();
			document.getElementById("fecinicio").select();
		}

		
		

		function buscar() {

			validarcierre();
			
			var cadena;

			cadena=hacer_cadena_busqueda();

			document.getElementById("cadena_busqueda").value=cadena;

			document.getElementById("formulario").submit();

		}

		

		function hacer_cadena_busqueda() {

			var codusu=document.getElementById("codusu").value;

			//var codrut=document.getElementById("codrut").value;

			var feccie=document.getElementById("fechainicio").value;			

			//var hortiq=document.getElementById("hortiq").value;

			var cadena="";

			cadena="~"+codusu+"~"+feccie+"~";

			return cadena;

			}

			

		function limpiar() {

			document.getElementById("formulario").reset();

		}

	  function comprobar_fechas(){

/////////////////////////////////////////////  invierte la fecha a xxxx-xx-xx ////////////////////////////////	  
		  
	  var parts = document.getElementById("fechainicio").value.split(/-/);
		parts.reverse();
		fechainicio=parts.join('-');
		
	  var parts = document.getElementById("fechafin").value.split(/-/);
		parts.reverse();
		fechafin=parts.join('-');
		

//////////////////////////////////////  convierte la fecha a formato date para ser comparado /////////////////////////	

	 date1 = new Date(fechainicio);
	 date2 = new Date(fechafin); 
		 
	var f1 = new Date();
	var f2 = new Date(date1); //31 de diciembre de 2015
	var f3 = new Date(date2);
	f1.setHours(0,0,0,0);
	f2.setHours(0,0,0,0);
	f3.setHours(0,0,0,0);

////////////////////////////////////////// compara las fechas ///////////////////////////////////////////////////////
	
	if (fechainicio !=""){
		
		
		 var fechaArr = fechainicio.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
		
	if (f2.getTime() > f1.getTime()){
	 alert("la Fecha Inicial no puede ser mayor a la Actual ");
	document.getElementById("fechainicio").value="";
	document.getElementById("fechainicio").select();
	}

 }else{
  alert("Error fecha Inicial incorrecta favor verifique");
  document.getElementById("fechainicio").value="";
  document.getElementById("fechainicio").select();
 }
 
	}
	
	
	
	if (fechafin !=""){	
	
	 
  var fechaArr = fechafin.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
 	
	
	if (f3.getTime() > f1.getTime()){
	 alert("la Fecha Final no puede ser mayor a la Actual ");
	document.getElementById("fechafin").value="";
	document.getElementById("fechafin").select();;
	}
 
 
 }else{
  alert("Error fecha Final incorrecta favor verifique");
  document.getElementById("fechafin").value="";
  document.getElementById("fechafin").select();
 }
	

	}
	
	
	if (f2.getTime() > f3.getTime()){
	 alert("La Fecha Inicial no puede ser mayor a la Fecha Final ");
	document.getElementById("fechafin").value="";
	document.getElementById("fechainicio").value="";
	document.getElementById("fechainicio").select();
	
	}
	
	buscar();
	}
	
	
	
jQuery(function($){	
		$("#fechainicio").mask("99-99-9999");
		$("#fechafin").mask("99-99-9999");
		});

		
			

function validarcierre(){
			
			var fechainicio=document.getElementById("fechainicio").value;
			var codusu=document.getElementById("codusu").value;
	
			miPopup = window.open("Comprobar_Cierre.php?feccie="+fechainicio+"&codusu="+codusu, "frame_datos3","width=900,height=90,scrollbars=yes");
		
				}
					
			
					
		


		</script>



	</head>

	<body onLoad="inicio()">

		<div id="">

			<div id="zonaVentanasCierres">

			<div align="center">
			  <div id="frmBusquedaCC"><form id="formulario" name="formulario" method="post" action="rejilla_apertura.php" target="frame_rejilla">
			    <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>					

			    <tr>

					
			          <td width="27%" height="43" rowspan="2">&nbsp;</td>
                            <td width="7%" title="Selecione la Fecha">Inicial</td>
                            <?php $hoy=date("d-m-Y"); ?>
	
	
	
	    <td width="14%"><div align="left" class="fuente">
	      <input size="30"  name="fechainicio" id="fechainicio" style='text-align:center;'   class="cajaGrande" value="<?php echo $hoy?>"  onFocus="siguienteCampo = 'fechafin';"  autocomplete="off" onChange="comprobar_fechas()" >
	    </div></td>
	
	

                                  <td width="11%" align="center" valign="middle">Final</td>
				                  <td width="12%" align="center" valign="middle"><span class="fuente">
                                  <input size="30"  name="fechafin" id="fechafin" style='text-align:center;'   class="cajaGrande" value="<?php echo $hoy?>"  onFocus="siguienteCampo = 'fechainicio';"  autocomplete="off" onChange="comprobar_fechas()" >
                                  </span></td>
				                  <td width="4%" align="center" valign="middle">Cajero</td>
				                  <td width="24%"><select id="codusu" name="codusu" class="comboGrande"   onFocus="siguienteCampo ='cincuentamil';"  onChange="buscar()">
                                    <option value="" selected>SELECCIONE UN CAJERO</option>
                        <?php
								
						 $Cajero = "c" ; 
						 $Administrador = "a" ; 
						 
					  	$query_codcaj="SELECT * FROM usuarios  WHERE tipo='$Cajero' or tipo='$Administrador'  ORDER BY nomcomusu ASC";
                        $resultado2 = $mysqli->query($query_codcaj) 
					?>
                            <?php
							while ($fila = $resultado2->fetch_assoc()) { ?>
                            <option value="<?php echo  $fila["codusu"]?>"><?php echo  $fila["nomcomusu"]?></option>
                            <?php 
								} ?>
                  </select></td>
				                  <td width="25%" rowspan="2" title="Selecione el Cajero"><img src="../img/marketimg-ventas.png" width="125" height="127"  border="0" onClick="imprimir()" onMouseOver="style.cursor=cursor" title="Imprimir"/></td>

               </tr>
			    <tr>
			      <td colspan="4" title="Selecione la Fecha">&nbsp;</td>
			      </tr>
			    </table>
	
		          <input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
			  
				</form>

			<br>

				<div id="lineaResultadoCC">
				  <iframe width="100%" height="360px" id="frame_rejilla" name="frame_rejilla" frameborder="0">
                  <ilayer width="100%" height="360px" id="frame_rejilla" name="frame_rejilla"></ilayer>
				  </iframe>
				</div>

				<iframe id="frame_datos" name="frame_datos" width="0" height="0" frameborder="0">
				<ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
			    </iframe>
                
                	<iframe id="frame_datos3" name="frame_datos3" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos3" name="frame_datos3"></ilayer>
					</iframe>
			  </div>			

	</div>

	</body>

</html>

